{pkgs}: let
  tabMode = pkgs.writeScript "tab-finder.sh" (with pkgs; ''
    #!/usr/bin/env bash
    if [ -z ''${1} ]; then
      ${brotab}/bin/bt list;
    else
      TARGET_TAB=$(sed "s/\t.*$//g" <<< ''${1});
      # activate window as focused to it is easy to switch to
      ${brotab}/bin/bt activate --focused ''${TARGET_TAB} > /dev/null 2>&1;
      # TODO: Resolve at build time.
      if [ -n ''${HYPRLAND_INSTANCE_SIGNATURE} ]; then
        ${hyprland}/bin/hyprctl dispatch focusurgentorlast > /dev/null 2>&1;
      else
        ${i3}/bin/i3-msg -t run_command "[urgent=latest] focus" > /dev/null 2>&1;
      fi
    fi
    exit 0;
  '');
in
  pkgs.writeText "rofi.rasi" ''
    configuration {
      modi: "combi,window,drun,ssh,tabFinder:${tabMode}";
      font: "hack 10";
      combi-modi: "window,drun,ssh,tabFinder";
      icon-theme: "Papirus";
      show-icons: true;
    }
    @theme "solarized"
  ''
