{
  pkgs,
  lib,
  ...
}:
with lib; {
  imports = [
    ../../options/copySysConf.nix
  ];
  config.machine = {
    allowUnfree = true;
    hostName = "Marid";
    administrators = [
      {
        name = "derped";
        id = 1337;
      }
    ];
    conffiles = [
      "etcfiles"
      "etcvars"
      "fonts"
      "zsh"
    ];
    pkgs = [
      "base"
      "dict"
      "nodejs"
      "emacs"
      "emacs::company"
      "emacs::docker"
      "emacs::doom-modeline"
      "emacs::doom-themes"
      "emacs::elpy"
      "emacs::fcitx"
      "emacs::flycheck"
      "emacs::flyspell"
      "emacs::undo-tree"
      "emacs::lsp"
      "emacs::magit"
      "emacs::mu4e"
      "emacs::nix-mode"
      "emacs::org"
      "emacs::php-mode"
      "emacs::web-mode"
      "emacs::yasnippet"
      "extra"
      "mail_utils"
      "python3"
      "xpkgs"
    ];
    services = [
      "docker"
      "desktop"
      "desktop::i3"
      "udev"
      "fprintd"
    ];
    firewall = {
      enable = true;
      allowPing = true;
      allowedUDPPorts = [];
      allowedTCPPorts = [];
      allowedUDPPortRanges = [];
      allowedTCPPortRanges = [];
    };
  };

  config.system.copySysConf = {
    enable = false;
    addToNixPath = false;
  };
}
