{
  lib,
  stdenv,
  fetchFromGitHub,
  gtk-engine-murrine,
}:
stdenv.mkDerivation {
  pname = "Kanagawa-GTK-Theme";
  version = "1.0";

  src = fetchFromGitHub {
    owner = "Fausto-Korpsvart";
    repo = "Kanagawa-GKT-Theme";
    rev = "35936a1e3bbd329339991b29725fc1f67f192c1e";
    sha256 = "sha256-BZRmjVas8q6zsYbXFk4bCk5Ec/3liy9PQ8fqFGHAXe0=";
  };

  propagatedUserEnvPkgs = [gtk-engine-murrine];

  installPhase = ''
    runHook preInstall
    mkdir -p $out/share
    cp -a themes $out/share/themes
    runHook postInstall
  '';

  meta = with lib; {
    description = "A GTK theme based on the colours of Rebelot's great theme: Kanagawa for Neovim, the VinceLiuice's awesome: Graphite GTK theme and the creativity of Gusbemacbe's: Suru Plus Icon Theme.";
    homepage = "https://github.com/Fausto-Korpsvart/Kanagawa-GKT-Theme";
    license = licenses.gpl3;
    platforms = platforms.all;
  };
}
