{
  config,
  lib,
  pkgs,
  nixpkgs-unstable,
  nixpkgs-stable,
  nixpkgs-git,
  ...
}: let
  inherit (pkgs) callPackage;
in {
  nixpkgs = {
    config = {
      allowUnfree = true;
      mpv.vaapiSupport = lib.elem "xserver" config.machine.services;

      packageOverrides = {
        pyluxafor = pkgs.python3Packages.callPackage ./pyluxafor {};
        theme_flat-remix = callPackage ./flat-remix {};
        theme_sddm_midnight = callPackage ./sddm_midnight {};
        xdiskusage = callPackage ./xdiskusage {};
        kanagawa = callPackage ./kanagawa {};
      };
    };
    overlays = [
      (final: prev: {
        gitpkgs = nixpkgs-git.legacyPackages."${prev.system}";
        stablepkgs = nixpkgs-stable.legacyPackages."${prev.system}";
        unstablepkgs = nixpkgs-unstable.legacyPackages."${prev.system}";
      })
    ];
  };
}
