{
  config,
  lib,
  fn,
  pkgs,
  ...
}:
with lib; {
  config.machine.pkgsets.python3.pkgwrap = pkgs.python310.withPackages (ps: (fn.pkgFilter config.machine.pkgsets.python3.pkgs));
  config.machine.pkgsets.python3.pkgs = with pkgs.python310Packages; [
    GitPython
    bpython
    configparser
    pysrt
    emoji
    epc
    flake8
    genanki
    matplotlib
    ipywidgets
    python-docx
    mypy
    numpy
    mysqlclient
    pandas
    # ocv3 scipy scikitimage (imutils.override { opencv3 = ocv3; })
    paho-mqtt
    pep8
    pillow
    pip
    plotly
    pyflakes
    pypdf2
    # pygame pygame_sdl2
    pylama
    pylint
    toml
    pyopengl
    pyproj
    pytest
    requests
    schedule
    scipy
    selenium
    setuptools
    telegram
    tkinter
    toolz
    tifffile
    virtualenv
    # xdot
  ];
}
