{
  config,
  lib,
  fn,
  pkgs,
  ...
}:
with lib; let
  cfg = config.machine;
  desktopFiles = fn.lst {
    p = toString ./desktop;
    b = true;
  };
in
  {
    imports = desktopFiles;
  }
  // mkIf (elem "desktop" cfg.services) {
    services.gvfs.enable = true;
    services.xserver = {
      xkb.layout = "de";
      libinput = {
        enable = true;
        touchpad = {
          tapping = true;
          disableWhileTyping = false;
          naturalScrolling = false;
          horizontalScrolling = true;
        };
      };
    };
    services.udev.extraRules = ''
      ACTION=="add", SUBSYSTEM=="backlight", RUN+="${pkgs.coreutils}/bin/chgrp video /sys/class/backlight/%k/brightness"
      ACTION=="add", SUBSYSTEM=="backlight", RUN+="${pkgs.coreutils}/bin/chmod 664 /sys/class/backlight/%k/brightness"
    '';
  }
