{
  stdenv,
  buildPythonPackage,
  fetchgit,
  aiosmtpd,
  alembic,
  atpublic,
  click,
  dnspython,
  falcon,
  flufl_bounce,
  flufl_i18n,
  flufl_lock,
  importlib-resources,
  lazr_config,
  passlib,
  requests,
  sqlalchemy,
  zope_component,
  zope_configuration,
  zope_event,
  zope_interface,
  # optional database dependencies
  pymysql,
  psycopg2,
}:
buildPythonPackage rec {
  name = "mailman3_core-${version}";
  version = "3.2.2";
  src = fetchgit {
    url = "https://gitlab.com/mailman/mailman.git";
    rev = version;
    sha256 = "0p1z2i2x6f0g05lx5mymiiw2ij1bsycvbxwabb52nisdddcfhhzp";
  };

  propagatedBuildInputs = [
    aiosmtpd
    alembic
    atpublic
    click
    dnspython
    falcon
    flufl_bounce
    flufl_i18n
    flufl_lock
    importlib-resources
    lazr_config
    passlib
    requests
    sqlalchemy
    zope_component
    zope_configuration
    zope_event
    zope_interface
    pymysql
    psycopg2
  ];

  doCheck = false;

  # mailman imports master and runner
  # -> only wrap $out/bin/mailman
  dontWrapPythonPrograms = true;
  postFixup = ''
    wrapProgram $out/bin/mailman --prefix PYTHONPATH : "$PYTHONPATH"
  '';

  meta = with stdenv.lib; {
    description = "GNU Mailman, a mailing list management system";
    license = licenses.gpl3;
    maintainers = with maintainers; [];
    homepage = "http://list.org/";
  };
}
